libcdr::CMXParserState Struct Reference documentation

libcdr::CMXParserState Struct Reference

`#include <CMXParser.h>`

## Public Member Functions
| CMXParserState ()

## Public Attributes
std::map< unsigned, CDRColor > | m_colorPalette
std::map< unsigned, std::vector< unsigned > > | m_dashArrays
std::map< unsigned, CMXLineStyle > | m_lineStyles
std::map< unsigned, CMXPen > | m_pens
std::map< unsigned, CMXOutline > | m_outlines
std::map< unsigned, unsigned > | m_bitmapOffsets
std::map< unsigned, unsigned > | m_patternOffsets
std::map< unsigned, unsigned > | m_arrowOffsets
std::map< unsigned, unsigned > | m_embeddedOffsets
std::map< unsigned, unsigned > | m_embeddedOffsetTypes

## Constructor & Destructor Documentation

## ◆ CMXParserState()

libcdr::CMXParserState::CMXParserState | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_arrowOffsets

std::map<unsigned, unsigned> libcdr::CMXParserState::m_arrowOffsets

Referenced by CMXParserState().

## ◆ m_bitmapOffsets

std::map<unsigned, unsigned> libcdr::CMXParserState::m_bitmapOffsets

Referenced by CMXParserState().

## ◆ m_colorPalette

std::map<unsigned, CDRColor> libcdr::CMXParserState::m_colorPalette

Referenced by CMXParserState().

## ◆ m_dashArrays

std::map<unsigned, std::vector<unsigned> > libcdr::CMXParserState::m_dashArrays

Referenced by CMXParserState().

## ◆ m_embeddedOffsets

std::map<unsigned, unsigned> libcdr::CMXParserState::m_embeddedOffsets

Referenced by CMXParserState().

## ◆ m_embeddedOffsetTypes

std::map<unsigned, unsigned> libcdr::CMXParserState::m_embeddedOffsetTypes

Referenced by CMXParserState().

## ◆ m_lineStyles

std::map<unsigned, CMXLineStyle> libcdr::CMXParserState::m_lineStyles

Referenced by CMXParserState().

## ◆ m_outlines

std::map<unsigned, CMXOutline> libcdr::CMXParserState::m_outlines

Referenced by CMXParserState().

## ◆ m_patternOffsets

std::map<unsigned, unsigned> libcdr::CMXParserState::m_patternOffsets

Referenced by CMXParserState().

## ◆ m_pens

std::map<unsigned, CMXPen> libcdr::CMXParserState::m_pens

Referenced by CMXParserState().

The documentation for this struct was generated from the following file:

- CMXParser.h